@font-face {
    src: url("/assets/icons/msr.ttf") format("truetype");
    font-family: "Material Symbols Rounded";
    font-style: normal;
    font-weight: 100 700; /* variable */
}


.material-symbols-rounded {
    font-family: "Material Symbols Rounded", serif;
    font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 24;
    line-height: 1;
    display: inline-block;
}

.texto-borde {
    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}

label {
    margin: 0;
}

.check-item label {
    font-size: 18px;
    color: rgba(0, 0, 0, 0.88);
    cursor: pointer;
}

.searcher-input {
    position: relative;
}

.searcher-input input {
    width: 100%;
    padding: 14px 42px 14px 42px;
    font-size: 16px;
    border-radius: 5px;
    outline: none;
    height: 55px;
    border: 1px solid rgba(0, 0, 0, 0.12);
    background: #FFF;
}

.searcher-input label {
    position: absolute;
    left: 45px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 16px;
    pointer-events: none;
    transition: 0.25s ease;
    color: rgba(0, 0, 0, 0.32);
}

.searcher-input.active label {
    top: 14px;
    font-size: 12px;
    color: rgba(0, 0, 0, 0.32);
}

.searcher-input.active input {
    padding-top: 26px;
    padding-bottom: 5px;
}

.quetion-input.searcher-input label {
    left: 44px;
}

.quetion-input.searcher-input input {
    padding-left: 44px;
}

@media screen and (max-width: 768px) {
    .quetion-input.searcher-input input {
        padding-left: 40px;
    }

    .quetion-input.searcher-input label {
        left: 40px;
    }

}


.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-search {
    display: block;
    border-radius: 7px;
    outline: none;
    text-align: left;
    font-size: 16px;
}

.dropdown-search:focus {
    border-bottom: 2px solid #3e57ff;
    background-color: #f6f6f6;
}

.dropdown .dropdown-list {
    position: absolute;
    overflow: auto;
    z-index: 9;
    top: 25px;
    left: 0;
    width: 250px;
    max-height: 250px;
    padding: 8px;
    display: none;
    border-radius: 7px;
    background: #fff;
    border: 1px solid #e9e9e9;
    box-shadow: 0 1px 2px rgb(204, 204, 204);
}

.dropdown .dropdown-list::-webkit-scrollbar {
    width: 7px;
}

.dropdown .dropdown-list::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 25px;
}

.dropdown .dropdown-list::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 25px;
}

.dropdown .dropdown-list::-webkit-scrollbar-thumb:hover {
    background: #b3b3b3;
}

.dropdown-list li {
    display: none;
    padding: 10px;
    border-radius: 4px;
    cursor: pointer;
    transition: all .2s ease-in-out;
}

.dropdown-list li:hover {
    background-color: #f2f2f2;
}

.not-found {
    cursor: default;
}


@media screen and (max-width: 768px) {


    /* filed interested page  */
    .main-wrapper {
        padding-inline: 0;
    }

    .quetion-title h2 {
        font-size: 24px;
    }

    .quetion-answare {
        gap: 16px;
    }

    .quetion-option {
        padding: 10px;
        font-size: 14px;
        font-weight: 500;
    }

    .quetion-area {
        padding-top: 24px;
    }

    .quetion .icon img {
        width: 20px;
    }

    .quetion h4 {
        font-size: 16px;
    }

    .single-quetion-item {
        gap: 16px;
    }

    .quetion-list {
        padding-top: 24px;
    }


    .quetion-input input {
        font-size: 16px;
    }

    .quetion-input .icon img {
        width: 20px;
    }

    .progressbar {
        width: 128px;
        height: 4px;
    }

    .action-btn {
        font-size: 16px;
    }


    .check-item {
        gap: 8px;
    }

    .check-item input {
        width: 16px;
        height: 16px;
    }

    .check-item label {
        font-size: 14px;
    }

    .quetion-input.single-input input {
        padding-left: 40px;
    }

    .quetion-input.single-input label {
        left: 40px;
    }

}

.dropdown {
    position: relative;
    display: inline-block;
    width: 100%;
}

.dropdown-search {
    display: block;
    width: 250px;
    padding: 8px 16px;
    border: 2px solid #e9e9e9;
    border-radius: 7px;
    outline: none;
    text-align: left;
    font-size: 16px;
}

.dropdown-search:focus {
    border-bottom: 2px solid #3e57ff;
    background-color: #f6f6f6;
}

.dropdown .dropdown-list {
    position: absolute;
    overflow: auto;
    z-index: 9;
    top: 100%;
    left: 0;
    width: 100%;
    max-height: 250px;
    padding: 8px;
    display: none;
    border-radius: 7px;
    background: #fff;
    border: 1px solid #e9e9e9;
    box-shadow: 0 1px 2px rgb(204, 204, 204);
}

.dropdown .dropdown-list::-webkit-scrollbar {
    width: 7px;
}

.dropdown .dropdown-list::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 25px;
}

.dropdown .dropdown-list::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 25px;
}

.dropdown .dropdown-list::-webkit-scrollbar-thumb:hover {
    background: #b3b3b3;
}

.dropdown-list li {
    display: none;
    padding: 10px;
    border-radius: 4px;
    cursor: pointer;
    transition: all .2s ease-in-out;
}

.dropdown-list li:hover {
    background-color: #f2f2f2;
}

.not-found {
    cursor: default;
}

.ns-pagination {
    display: flex;
    justify-content: center; /* 👈 centra horizontal */
    align-items: center;
    gap: 8px;
    padding: 0;
    list-style: none;
    margin: 10% 0 0;
}

.ns-page .ns-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 38px;
    height: 38px;
    padding: 0 12px;
    border: 1px solid #000;
    border-radius: 10px;
    color: #000;
    background: #fff;
    text-decoration: none;
    font-weight: 600;
}

.ns-page.active .ns-link {
    background: #000;
    color: #fff;
}

.ns-page.disabled .ns-link {
    opacity: .35;
    cursor: not-allowed;
}


.customPop {
    position: fixed;
    bottom: 0;
    left: 50%;
    width: 100%;
    height: 85 dvh;
    z-index: 300;
    display: flex;
    justify-content: center;
    align-items: end;
    transform: translate(-50%, 10px);
    max-width: 900px;
    transition: 0.3s;
    visibility: hidden;
    opacity: 0;
}

.close-event-pop {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-block: 16px;
}

.close-event-pop button {
    width: 50px;
    height: 6px;
    background: #A3A3A3;
    border: none;
    border-radius: 5px;
}

.active-customPop {
    height: 100 dvh;
    overflow: hidden;
}

.active-customPop::before {
    content: "";
    display: block;
    width: 100%;
    height: 100 dvh;
    background: rgba(0, 0, 0, 0.40);
    position: fixed;
    left: 0;
    top: 0;
    z-index: 200;
}

.customPop.active {
    transform: translate(-50%, 0px);
    opacity: 1;
    visibility: visible;
}

.single-input.active-always label {
    top: 14px;
    font-size: 12px;
    color: rgba(0, 0, 0, 0.32);
}

.single-input.active-always input {
    padding-top: 26px;
    padding-bottom: 5px;
}

.event-search-pop-wrapper {
    width: 100%;
    background-color: var(--WhiteColor);
    display: flex;
    flex-direction: column;
    padding-inline: 16px;
    border-radius: 20px 20px 0 0;
    height: 100%;
}

.navbar-wrapper {
    border-radius: 10px 10px 0 0 !important;
}

.single-input label.is-floated {
    top: -10px; /* o el top que uses cuando flota */
    font-size: 12px; /* idem */
}

.beck-btn {
    display: flex;
    width: 40px;
    height: 40px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    aspect-ratio: 1/1;
    border-radius: 50%;
    border: 1px solid rgba(0, 0, 0, 0.10);
    background: #FFF;
}

/* Animación infinita de rotación */
.spin-infinite {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

.header-right .option{
    display: flex;
    width: 55px;
    height: 55px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    background: var(--WhiteColor);
    border: 1px solid rgba(0, 0, 0, 0.10);
}

/* Por defecto visible */
.header-right .qr_code{
    display:block;
}

/* Ocultar en PC */
@media (min-width: 992px){
    .header-right .qr_code{
        display:none !important;
    }
}

/* Por defecto, el menú se verá en móviles y tablets */
.nav-area {
    display: block; /* O flex, según como lo tuvieras */
}

/* Cuando la pantalla sea más grande que una tablet (PC), se oculta */
@media (min-width: 992px) {
    .nav-area {
        display: none !important;
    }
}
